=== tests/manual/e2e/qml/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(QT_FEATURE_process)
    add_subdirectory(qmlformat)
endif()
