=== tests/auto/cmake/test_aotstats_integration/no_bindings/CMakeLists.txt ===
qt_add_qml_module(nobindings_module
    URI NoBindings
    VERSION 1.0
    QML_FILES
        NoBindings.qml
)
